osgAnimation::AnimationUpdateCallback< T > Class Template Reference

`#include <AnimationUpdateCallback>`

Inheritance diagram for osgAnimation::AnimationUpdateCallback< T >:

## Public Member Functions

| AnimationUpdateCallback ()
| AnimationUpdateCallback (const std::string &name)
| AnimationUpdateCallback (const AnimationUpdateCallback &apc, const osg::CopyOp &copyop)
| META_Object (osgAnimation, AnimationUpdateCallback< T >)
virtual osg::Callback * | asCallback ()
virtual const osg::Callback * | asCallback () const
virtual osg::CallbackObject * | asCallbackObject ()
virtual const osg::CallbackObject * | asCallbackObject () const
const std::string & | getName () const
bool | link (Channel *)
int | link (Animation *animation)
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const =0
virtual Object * | clone (const CopyOp &) const =0
virtual bool | isSameKindAs (const Object *) const
virtual const char * | libraryName () const =0
virtual const char * | className () const =0
std::string | getCompoundClassName () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
virtual void | resizeGLObjectBuffers (unsigned int)
virtual void | releaseGLObjects (osg::State *=0) const
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Additional Inherited Members

Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Constructor & Destructor Documentation

## AnimationUpdateCallback() [1/3]

template<class T>

osgAnimation::AnimationUpdateCallback< T >::AnimationUpdateCallback | ( |  | ) |

inline

Referenced by AnimationUpdateCallback(), and META_Object().

## AnimationUpdateCallback() [2/3]

template<class T>

osgAnimation::AnimationUpdateCallback< T >::AnimationUpdateCallback | ( | const std::string & | name | ) |

inline

## AnimationUpdateCallback() [3/3]

template<class T>

osgAnimation::AnimationUpdateCallback< T >::AnimationUpdateCallback | ( | const AnimationUpdateCallback< T > & | apc,
|  | const osg::CopyOp & | copyop )

inline

References AnimationUpdateCallback().

## Member Function Documentation

## asCallback() [1/2]

template<class T>

virtual osg::Callback * osgAnimation::AnimationUpdateCallback< T >::asCallback | ( |  | ) |

inline virtual

Convert 'this' into a Callback pointer if Object is a Callback, otherwise return 0. Equivalent to dynamic_cast<Callback*>(this).

Reimplemented from osg::Object.

## asCallback() [2/2]

template<class T>

virtual const osg::Callback * osgAnimation::AnimationUpdateCallback< T >::asCallback | ( |  | ) | const

inline virtual

convert 'const this' into a const Callback pointer if Object is a Callback, otherwise return 0. Equivalent to dynamic_cast<const Callback*>(this).

Reimplemented from osg::Object.

## asCallbackObject() [1/2]

template<class T>

virtual osg::CallbackObject * osgAnimation::AnimationUpdateCallback< T >::asCallbackObject | ( |  | ) |

inline virtual

Convert 'this' into a CallbackObject pointer if Object is a CallbackObject, otherwise return 0. Equivalent to dynamic_cast<CallbackObject*>(this).

Reimplemented from osg::Object.

## asCallbackObject() [2/2]

template<class T>

virtual const osg::CallbackObject * osgAnimation::AnimationUpdateCallback< T >::asCallbackObject | ( |  | ) | const

inline virtual

convert 'const this' into a const CallbackObject pointer if Object is a CallbackObject, otherwise return 0. Equivalent to dynamic_cast<const CallbackObject*>(this).

Reimplemented from osg::Object.

## getName()

template<class T>

const std::string & osgAnimation::AnimationUpdateCallback< T >::getName | ( |  | ) | const

inline

## link() [1/2]

template<class T>

int osgAnimation::AnimationUpdateCallback< T >::link | ( | Animation * | animation | ) |

inline virtual

Implements osgAnimation::AnimationUpdateCallbackBase.

References osgAnimation::Animation::getChannels(), osgAnimation::AnimationUpdateCallbackBase::link(), osg::notify(), and osg::WARN.

## link() [2/2]

template<class T>

bool osgAnimation::AnimationUpdateCallback< T >::link | ( | Channel * |  | ) |

inline virtual

Implements osgAnimation::AnimationUpdateCallbackBase.

Reimplemented in osgAnimation::UpdateMaterial, osgAnimation::UpdateMatrixTransform, osgAnimation::UpdateMorph, osgAnimation::UpdateUniform< T >, osgAnimation::UpdateUniform< float >, osgAnimation::UpdateUniform< osg::Matrixf >, osgAnimation::UpdateUniform< osg::Vec2f >, osgAnimation::UpdateUniform< osg::Vec3f >, and osgAnimation::UpdateUniform< osg::Vec4f >.

## META_Object()

template<class T>

osgAnimation::AnimationUpdateCallback< T >::META_Object | ( | osgAnimation | ,
|  | AnimationUpdateCallback< T > | )

References AnimationUpdateCallback().

The documentation for this class was generated from the following file:

- AnimationUpdateCallback